Skip to content

List Credit notifications

List the credit notifications for all your accounts

Request

Endpoint

Messaging Plus expects a GET request

GET https://mplus.instagiv.com/notification/credit

Query strings

KeyRequiredDescriptionExample
keytrueOrganization API key?key=aaaabbbbcccc111222333

Response

Body

json
{
    "notifications": [
        {
            "notification_uuid": "e5f62905-d79d-4e5a-b3d5-a26a93ee5593",
            "account_uuid": "8f0b098e-0f01-4612-99e2-ed2068654616",
            "email_addresses": [
                "user@my-company.co.uk"
            ],
            "webhook_url": "https://my-website.com/notify-url?id=123",
            "threshold_type": "packaged_fixed_number",
            "threshold_value": 20,
            "triggered": true,
            "trigger_reset_available_from": "2026-07-21T15:07:44.554626+00:00"
        },
        { ... },
        { ... }
    ]
}

Body parameters

KeyExpected valueDescription
notificationsNotification[]List of notifications registered under your organization

Notification object

KeyExpected valueDescription
notification_uuidstringUUID of the notification
account_uuidstringUUID of the account this notification triggers for
email_addressesstring[]Array of string email addresses that get notified when the notification triggers
webhook_urlstring|nullString URL that receives a webhook request when the notification triggers
threshold_typeThresholdTypeString value threshold type
threshold_valuenumericNumeric value representing the threshold value
triggeredbooleanWhether this threshold is in the "triggered" state
trigger_reset_available_fromstring|nullTimestamp showing when this notification can be triggered again from

ThresholdType string

We support 5 different threshold_types, each of which can be either a fixed_number or percentage threshold.

ValueTypeDescription
paid_negative_fixed_numberfixed_numberTrigger when remaining negative credits fall below a fixed number
paid_negative_percentagepercentageTrigger when remaining negative credits fall below a percentage of the negative limit
paid_fixed_numberfixed_numberTrigger when paid credits fall below a fixed number
packaged_fixed_numberfixed_numberTrigger when packaged credits fall below a fixed number
packaged_percentagepercentageTrigger when packaged credits fall below a percentage of the packaged credit refill value

Threshold types with a fixed_number threshold must have the threshold_value supplied as exactly the value you want credits to fall below. Eg. 120 represents a credit threshold of 120 credits.

Threshold types with a percentage threshold must have the threshold_value supplied as a 0..1 floating point number. Eg. 0.25 represents a threshold of 25%.

Messaging Plus is a Cymba API